import sparsetools
import sparse_vector_class as sv
import numpy
import pdlp
dimension = 10
A = sparsetools.rdm( dimension )
e = numpy.ones( dimension, 'd' )
b = numpy.zeros( dimension, 'd' )
A.matvec( e, b )
c = sv.SparseVector( dimension, { 1: 3, 5 : -1, 7 : 2 } )
if dimension <= 10:
    print A
    print b
    print c
(x, y, s, obj_value, iter, residual, solve_time, status) =  pdlp.PDInteriorPointLP( A, b, c, PredictorCorrector = False )

print status + '\n'
print ' #Iterations: %-d' % iter
print ' RelResidual: %-21.15e' % residual
print ' Final cost : %-21.15e' % obj_value
print ' Solve time : %-6.2f' % solve_time
