from pysparse import spmatrix
import sparsetools
import pylab
import sys

args = sys.argv[1:]
if len( args ) == 0:
    M = sparsetools.rdm( 200, nnz = 250 )
    (a,h) = sparsetools.spymatll( M, color = True )
else:
    for matrix in args:
        M = spmatrix.ll_mat_from_mtx( matrix )

        ## First method: use find() to obtain sparsity pattern
        #(val, irow, icol ) = sparsetools.find( M )
        #nrow, ncol = M.shape
        #(a,h) = sparsetools.spymat( nrow, ncol, irow, icol, val = val, sym = M.issym )

        ## Second method: proceed directly
        (a,h) = sparsetools.spymatll( M, color = True )
        pylab.show()
