# Create an eps sparsity pattern of matrices
# given on the command line
# This demonstrates the interface to GnuPlot
# The same could be done with Matplotlib's PS backend

from pysparse import spmatrix
import sparsetools
import sys

for mtxf in sys.argv[1:]:
    M = spmatrix.ll_mat_from_mtx( mtxf )
    sparsetools.spygnull( M, comment=mtxf, outfile=mtxf + '.eps' )


